Bug 453417 - Allow tcp-nodelay to be set on server side of socket also
Allow tcp-nodelay to be set on server side of socket also
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
1.0
All Linux
high Severity medium
: 1.0.1
: ---
Assigned To: Gordon Sim
Kim van der Riet
:
Depends On:
Blocks: 459251
  Show dependency treegraph
 
Reported: 2008-06-30 10:34 EDT by Gordon Sim
Modified: 2008-10-06 15:09 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-06 15:09:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gordon Sim 2008-06-30 10:34:32 EDT
Client currently allows tcp-nodelay to be set but that will only affect
client->broker traffic. For broker->client need to allow a client connection to
request that the broker set tcp-nodelay on its side of the socket also.
Comment 1 Gordon Sim 2008-08-05 13:07:16 EDT
Added in r.682791 (trunk) and r.682785 (qpid.0-10).
Comment 2 Gordon Sim 2008-08-15 04:04:35 EDT
Broker now has new --tcp-nodelay option to turn this feature on.
Comment 4 Jeff Needle 2008-09-16 08:04:28 EDT
This works as expected.
Comment 6 errata-xmlrpc 2008-10-06 15:09:00 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0640.html

Note You need to log in before you can comment on or make changes to this bug.